Subject: Revive Your New Years Resolution

From: Smaller Hips in Days <[email-masked]>
Date: Wed, 25 Jun 2014 09:21:03 -0700

Hi Krb-wg-archive ... remember me?

Its your New Years Resolution...

You wanted to lose 20-lbs this year, remember?
No worries, Im not writing you to make you feel bad...

DocOz has called in re-enforcement's to make sure you achieve your goal!
With this 1 tip, you can actually drop that stubborn 20lbs in 1 month. 

View Oz Episode Clip Here -> http://www.chromopal.com/oz/fatmelting/episode.html

[DocOz Team]
- no workout - no starving
** Please note that this tip is recommended for those that need to lose at least 20lbs
View Details -> http://www.chromopal.com/oz/fatmelting/episode.html

to modify your message settings - write Current Update Alerts_ 1644 Doral Dr_Brookings, SD 57006
or visit http://www.chromopal.com/o43/jdfi9e.irjf
Im having some trouble with this on a stock X8. OnSaveInstanceState is NEVER called. Not when going back to home screen, nor when pressing back button to get to the previous activity and neither in the case of quitting the app. On destroyed is called, but not onSaveInstance state.   Andras B Lajtha Feb 27 '12 at 10:38
  	  	
It has been a while, but I wonder if something like this is possible with appwidgets? I am having this issue nd the solution I now have, using a service to listen for events feels 	
areful: the official documentation states, that you should save important information within the  schlingel Very informative answer. I do have one question. If we can recreate what we last had in onCreate, when should we use onRestoreInstanceState?   Andy Jul 19 '12 at 7:55
@Andy it's for when the user is in the middle of some activity (e.g. writing in a form) and the activity is destroyed (e.g. because of device orientation change). This method allows you to restore the form state so the user doesn't start over from scratch  That fact effectively makes onSaveInstanceState almost useless except just for case of screen orientation changes. In almost all other cases, you can never rely on it and will need to manually save your UI state somewhere else. Or preventing your app from being killed by overriding BACK button behavior. I don't understand why they even implemented it like this in the first place. Totally unintuitive. And you can't have that Bundle the system give you to save things into except in this very particular method.+1 for mentioning that onSaveInstanceState() is not part of the life cycle. I think it's not called when the 'Back' button is pressed. It's called only when 'Home' button is pressed.   Crocode Dec 22 - When is savedInstanceState
  == null and when is it not null ?   Trojan.ZBOT Dec 29 '13 at 0:50
 when there's a saved instance state it's not null and when there isn't it's null ;-)   schlingel Dec 29 '13 at 8:25
  	  	
 yes. but when do we get a saved instance state ? Always ? On rotation of phone ? On pressing home button ? Etc ? that is my question. I am a beginner, so i don't know these things.   Trojan.ZBOT Dec 29 '13 at 22:19
  	  	
It works but cn it also work for dynamic data   Harshal Benake Jan 13 at 13:10
This answer is absolutely correct and deserves UP vote, not down! Let me clarify difference between states for those guys who don't see it. A GUI state, like selected radio-buttons and some text in the input field, is much less important than the data state, like records added to a list displayed in a ListView. The latter must be stored to the database in onPause because it's the only guarantied call. If you put it in onSaveInstanceState instead, you risk loosing data if that is not called. But if the radio-button selection is not saved for the same reason - it's not a big deal. r wrong. Because onSaveInstanceState is called to retrieve per-instance state from an activity before being killed. If the activity is not killed(it is placed in background) then it is not necessary to store INSTANCE VALUES in onPause() since these values are not cleared from memory. When the app is brought in front the values are there for use. BUT in case if system closes the app to free memory, the instanc
 e values will be destroyed and onPause can not be used to retrieve them. Thus it makes sense to use onSaveInstanceState to store instance values and not the onPause